Subject: Re: [I2nsf] Yangdoctors last call review of draft-ietf-i2nsf-registration-interface-dm-04

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Thu, 25 Jul 2019 10:23:47 -0400

Hi Reshad,
Here is the revision letter for the revised draft, reflecting your comments
along with the revised draft:
https://tools.ietf.org/html/draft-ietf-i2nsf-registration-interface-dm-05

If you have further comments and questions, please let me know.

Thanks.

Best Regards,
Paul

On Fri, Jun 28, 2019 at 5:17 PM Reshad Rahman via Datatracker <
[email-masked]> wrote:

> Reviewer: Reshad Rahman
> Review result: On the Right Track
>
> YANG Doctor review of draft-ietf-i2nsf-registration-interface-dm-04 (by
> Reshad
> Rahman)
>
> Major comments:
> - Look at appendix B of RFC8407 for an example of how a YANG module should
> be
> structured. This document does not abide to that. - Poor descriptions e.g.
> "nsf-name" for leaf "nsf-name" etc - prefix "iiregi" doesn't seem right.
> What
> about "nsfreg"? Probably needs coordination with the other I2NSF YANG
> modules
> to have consistency between the prefixes. I see that YD Acee suggested
> "nsfintf" for draft-ietf-i2nsf-nsf-facing-interface-dm-06 - No unit
> specified
> for bandwidth, processing (performance) - nsf-address is IPv4 specific -
> Security considerations should list the nodes as per section 3.7 of
> RFC8407. -
> Should this document be informational since 8329 is informational? -
> Section 2
> should use RFC8174 also - Refer to RFC8407 instead of 6807 (YANG
> Guidelines) -
> Examples should use IPv6 as examples (use the range from RFC3849). Kudos
> for
> all the examples.
>
> Minor comments and questions:
> - The YANG trees such as Figure 6, 7 etc don't show the contents of the
> groupings. So they don't help much. - nsf-port-address should be nsf-port?
> -
> Section 4, last bullet. I am not an expert on I2NSF so not clear to me why
> this
> query is needed, is it because NSF may not re-register after their
> capabilities
> have been updated? Might be worth adding some explanation. - Have the
> examples
> been validated?
>
> _______________________________________________
> I2nsf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2nsf
>

-- 
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked], [email-masked]
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
<http://cpslab.skku.edu/people-jaehoon-jeong.php>